package javax.xml.crypto;

import java.io.PrintWriter;
import java.io.PrintStream;

public class NoSuchMechanismException extends RuntimeException
{
    private static final long serialVersionUID = 4189669069570660166L;
    private Throwable cause;
    
    public NoSuchMechanismException() {
    }
    
    public NoSuchMechanismException(String message) {
        super(message);
    }
    
    public NoSuchMechanismException(String message, Throwable cause) {
        super(message);
        this.cause = cause;
    }
    
    public NoSuchMechanismException(Throwable cause) {
        super((cause == null) ? null : cause.toString());
        this.cause = cause;
    }
    
    @Override
    public Throwable getCause() {
        return this.cause;
    }
    
    @Override
    public void printStackTrace() {
        super.printStackTrace();
    }
    
    @Override
    public void printStackTrace(PrintStream s) {
        super.printStackTrace(s);
    }
    
    @Override
    public void printStackTrace(PrintWriter s) {
        super.printStackTrace(s);
    }
}
